GET
/v1/agent/conversations
Get Conversations
curl https://api.{cluster}.{platform}.voiger.io/v1/agent/conversations?_limit=&_skip= \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/agent/conversations", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
_limit
number
optional
in query
_skip
number
optional
in query
_search
string
optional
in query
json · 200
{
"conversations": [
{
"id": "f108702c-05e4-48ee-9398-b1cebdcb566b",
"created_at": "2025-10-23T08:12:20.921558Z",
"updated_at": "2025-10-23T08:12:20.921558Z",
"participants": [
{
"id": "4bf20c21-717f-4e76-a1fb-bdb1cf174b82",
"type": "admin",
"reference_id": "947f731b-d361-4c23-8872-88a7b15c13f5"
},
{
"id": "6a0f1fae-0d73-4e24-a018-aea09c396cb7",
"type": "agent",
"reference_id": "6feb3aa5-e6d0-4931-aadd-5edd828bdb95"
}
],
"latest_activity": {
"id": "f49a462f-20a9-4147-8253-1b019548bddc",
"type": "call",
"created_at": "2025-10-23T08:12:20.985012Z",
"data": {
"id": "2cd74eef-16ed-48de-9d23-c1f3a4177550",
"direction": "outbound",
"caller": {
"reference": "947f731b-d361-4c23-8872-88a7b15c13f5",
"type": "admin"
},
"callee": {
"reference": "6feb3aa5-e6d0-4931-aadd-5edd828bdb95",
"type": "agent"
},
"started_at": "2025-10-23T05:12:20.981342Z",
"status": "active",
"queue_id": null,
"assignee_id": "6feb3aa5-e6d0-4931-aadd-5edd828bdb95",
"contact_id": null
}
}
}
]
}